> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Magic Links

> Get a list of all Magic Links for your organization.



## OpenAPI

````yaml get /magic-links
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /magic-links:
    get:
      tags:
        - Auth
      summary: Get Magic Links
      description: Get a list of all Magic Links for your organization.
      operationId: get_get_magic_links_external
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MagicLinksResponseSchema'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    MagicLinksResponseSchema:
      type: object
      properties:
        magic_links:
          type: array
          description: List of magic links
          items:
            $ref: '#/components/schemas/MagicLink'
      required:
        - magic_links
      additionalProperties: false
      title: MagicLinksResponseSchema
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    MagicLink:
      type: object
      properties:
        id:
          type: string
          description: The magic link ID
          example: c0a4fef52f664ecf9e766c16811c3289
        url:
          type: string
          description: The full Magic Link URL to share with your customer
          example: https://link.trackstarhq.com/c0a4fef52f664ecf9e766c16811c3289
        expires_at:
          type: string
          description: ISO 8601 timestamp when link expires
          example: '2025-09-17T15:01:41Z'
        integration_type:
          type: string
          enum:
            - wms
            - freight
            - cart
            - carrier
            - erp
          description: Type of integration
          example: wms
        integration_allow_list:
          type: array
          description: Allowed integrations
          example:
            - shipbob
          items:
            type: string
            description: ''
        integration_block_list:
          type: array
          description: Blocked integrations
          example:
            - extensiv-3pl-central
          items:
            type: string
            description: ''
        integrations_with_endpoints:
          type: array
          description: Integrations with specific endpoints
          example:
            - get_inventory
          items:
            type: string
            description: ''
        customer_id:
          type:
            - string
            - 'null'
          description: Customer identifier
          example: customer-123
      required:
        - customer_id
        - expires_at
        - id
        - integration_allow_list
        - integration_block_list
        - integration_type
        - integrations_with_endpoints
        - url
      additionalProperties: false
      title: MagicLink

````